Package ru.bitel.bgbilling.modules.sorm.common.bean

# Class SormProject

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.sorm.common.bean.SormProject

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class SormProject extends IdTitle implements GuiTitlable
Бин экземпляра проекта(выгрузки) СОРМ

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SormProject()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getComment()`
  `String`
  `getConfig()`
  `Date`
  `getCreateDate()`
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `Date`
  `getLastModifyDate()`
  `Preferences`
  `getLoadedConfig()`
  `int`
  `getProjectType()`
  `int`
  `getUserId()`
  `int`
  `hashCode()`
  `boolean`
  `isEnable()`
  `void`
  `setComment(String comment)`
  `void`
  `setConfig(String config)`
  `void`
  `setCreateDate(Date createDate)`
  `void`
  `setEnable(boolean enable)`
  `void`
  `setLastModifyDate(Date lastModifyDate)`
  `void`
  `setProjectType(int projectType)`
  `void`
  `setUserId(int userId)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, getId, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### SormProject

    public SormProject()

- ## Method Details

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int userId)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getConfig

    public String getConfig()

  - ### setConfig

    public void setConfig(String config)

  - ### getCreateDate

    public Date getCreateDate()

  - ### setCreateDate

    public void setCreateDate(Date createDate)

  - ### getLastModifyDate

    public Date getLastModifyDate()

  - ### setLastModifyDate

    public void setLastModifyDate(Date lastModifyDate)

  - ### getProjectType

    public int getProjectType()

  - ### setProjectType

    public void setProjectType(int projectType)

  - ### isEnable

    public boolean isEnable()

  - ### setEnable

    public void setEnable(boolean enable)

  - ### getLoadedConfig

    public Preferences getLoadedConfig()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Id`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Id`

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Overrides:
      `getGuiTitle` in class `IdTitle`
    Returns:
      Строка - представление объекта.